Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted

From: martin rudalics <[email-masked]>
Date: Sun, 8 Dec 2019 09:58:45 +0100

> Another weird suprise:
 > - if I manually move the frame with some part under the dock and then
 > (set-frame-position nil 0 0)
 > the frame jump at the leftmost position of the screen (partly covered by the
 > dock) but still below the topbar.
 > Then the frame parametres return values:
 > " LEFT=(+ -10)  TOP=19"

Interesting but hardly usable for programmed positioning.

 > - if I move manually the frame in the middle of the screen, away from
 > the dock, and then
 > (set-frame-position nil 0 0)
 > the frame jumps just right to the dock, so not at the same position as
 > in the first case.
 > Then the frame parametres return values:
 > " LEFT=45  TOP=19"
 >
 > So it seems possible to move the frame programatically under the dock
 > when it is alreasy under the dock.
 >
 > A last point which confirms that the dock may have some role: if I move
 > manually a frame to try to put it under the dock, it first resists to
 > pass the dock and when you insist finally it passes under.

You have to move the mouse beyond a threshold of a few pixels before
it continues moving.

 >>   As a last resort: Does it help when you set the
 >>       frame's z-group parameter to 'above' like in
 >>
 >>       (modify-frame-parameters nil '((z-group . above) (left . 0) (top . 0)))
 > No, it changes nothing to the horizontal position of the frame.

Does it at least have the Emacs frame appear on top of the dock?

martin